<?php
// Original URL
$baseURL = 'http://localhost/pmwiki';

// New URL 
$newBaseURL = 'http://www.mywebsite.com/somefolder';

// Location of the folder in the local file system
$LOCAL_WEBROOT = 'C:/Documents and Settings/Me/My Files/webserver/www/pmwiki/';

// Temporary folder location relative to the LOCAL_WEBROOT
$temp = "temp";

// Available connection types = SCP, FTP, COPY
// Options for SCP:
//  - bin => points to pscp.exe
//  - user 
//  - host
//  - pwd
//  - local_folder
//  - remote_folder
// Options for FTP:
//  - bin => points to ncftpput.exe
//  - user 
//  - host
//  - pwd
//  - local_folder
//  - remote_folder
// Options for COPY:
//  - local_folder
//  - remote_folder => destination folder, doesn't need to be remote
$connectionType = 'SCP';
$connectionInfo = array(
    'bin'=>'C:/bin/pscp.exe',
    'user'=>'myName',
    'host'=>'ftp.mywebsite.com',
    'pwd'=>'myPassword',
    'local_folder'=>"{$LOCAL_WEBROOT}{$temp}",
    'remote_folder'=>'/www/myName/somefolder/'
);

// Location of the wget binary. 
// NOTE: In Windows the path cannot contain any space character (REF)
$WGET = "C:/bin/wget.exe";

// wget maximum number of recursion
$WGET_REC_LEVEL = 5;

// List of entry points for wget to download.
// You might need to add other entry points separately to grab CSS linked images
$ENTRY_POINTS = array(
    // The main home page
    "{$baseURL}/index.php"=>$temp,
    // Extra CSS linked images
    "{$baseURL}/pub/skins/notsosimple/image/Box-Top-New.jpg"=>"{$temp}/image",
    "{$baseURL}/pub/skins/notsosimple/image/Box-Middle.jpg"=>"{$temp}/image",
    "{$baseURL}/pub/skins/notsosimple/image/Box-Bottom.jpg"=>"{$temp}/image",
    "{$baseURL}/pub/skins/notsosimple/image/external.png"=>"{$temp}/image"
);

// List of URL in the pages that need to be rewritten
// notably are the URL of the skin files
$REWRITE_URLS = array(
    "{$baseURL}/pub/skins/notsosimple"=>$newBaseURL
);

?>
